io.vertx.rxjava.ext.web.sstore

## Class SessionStore

- java.lang.Object
- - io.vertx.rxjava.ext.web.sstore.SessionStore

- Direct Known Subclasses:
    ClusteredSessionStore, LocalSessionStore

      public class SessionStore
      extends Object

  A session store is used to store sessions for an Vert.x-Web web app

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionStore(SessionStore delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(Handler<AsyncResult<Boolean>> resultHandler)` Remove all sessions from the store
    `rx.Observable<Boolean>` | `clearObservable()` Remove all sessions from the store
    `void` | `close()` Close the store
    `Session` | `createSession(long timeout)` Create a new session
    `void` | `delete(String id, Handler<AsyncResult<Boolean>> resultHandler)` Delete the session with the specified ID
    `rx.Observable<Boolean>` | `deleteObservable(String id)` Delete the session with the specified ID
    `void` | `get(String id, Handler<AsyncResult<Session>> resultHandler)` Get the session with the specified ID
    `Object` | `getDelegate()`
    `rx.Observable<Session>` | `getObservable(String id)` Get the session with the specified ID
    `static SessionStore` | `newInstance(SessionStore arg)`
    `void` | `put(Session session, Handler<AsyncResult<Boolean>> resultHandler)` Add a session with the specified ID
    `rx.Observable<Boolean>` | `putObservable(Session session)` Add a session with the specified ID
    `void` | `size(Handler<AsyncResult<Integer>> resultHandler)` Get the number of sessions in the store
    `rx.Observable<Integer>` | `sizeObservable()` Get the number of sessions in the store

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionStore

          public SessionStore(SessionStore delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### createSession

          public Session createSession(long timeout)

      Create a new session
      Parameters:
        `timeout` - - the session timeout, in ms
      Returns:
        the session

    - #### get

          public void get(String id,
                          Handler<AsyncResult<Session>> resultHandler)

      Get the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
        `resultHandler` - will be called with a result holding the session, or a failure

    - #### getObservable

          public rx.Observable<Session> getObservable(String id)

      Get the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
      Returns:

    - #### delete

          public void delete(String id,
                             Handler<AsyncResult<Boolean>> resultHandler)

      Delete the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
        `resultHandler` - will be called with a result true/false, or a failure

    - #### deleteObservable

          public rx.Observable<Boolean> deleteObservable(String id)

      Delete the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
      Returns:

    - #### put

          public void put(Session session,
                          Handler<AsyncResult<Boolean>> resultHandler)

      Add a session with the specified ID
      Parameters:
        `session` - the session
        `resultHandler` - will be called with a result true/false, or a failure

    - #### putObservable

          public rx.Observable<Boolean> putObservable(Session session)

      Add a session with the specified ID
      Parameters:
        `session` - the session
      Returns:

    - #### clear

          public void clear(Handler<AsyncResult<Boolean>> resultHandler)

      Remove all sessions from the store
      Parameters:
        `resultHandler` - will be called with a result true/false, or a failure

    - #### clearObservable

          public rx.Observable<Boolean> clearObservable()

      Remove all sessions from the store
      Returns:

    - #### size

          public void size(Handler<AsyncResult<Integer>> resultHandler)

      Get the number of sessions in the store
      Parameters:
        `resultHandler` - will be called with the number, or a failure

    - #### sizeObservable

          public rx.Observable<Integer> sizeObservable()

      Get the number of sessions in the store
      Returns:

    - #### close

          public void close()

      Close the store

    - #### newInstance

          public static SessionStore newInstance(SessionStore arg)

Copyright © 2015. All Rights Reserved.